      SUBROUTINE CREEP(DECRA,DESWA,STATEV,SERD,EC0,ESW0,P,QTILD,
     1 TEMP,DTEMP,PREDEF,DPRED,TIME,DTIME,CMNAME,LEXIMP,LEND,
     2 COORDS,NSTATV,NOEL,NPT,LAYER,KSPT,KSTEP,KINC)
C
      INCLUDE 'ABA_PARAM.INC'
C
      CHARACTER*80 CMNAME
C
      DIMENSION DECRA(5),DESWA(5),STATEV(*),PREDEF(*),DPRED(*),
     1 TIME(2),COORDS(*)
C
      DIMENSION ARRAY(15),JARRAY(15) 
C
      DO I=1,5
      DECRA(I)=0
      DESWA(I)=0
      END DO
C
	AN=3.
      AM=-0.2
	A1=1.018E-20
C      BET=27.787/180.*3.1415
C      QQ=QTILD*(1.-1./3.*TAN(BET))+P*TAN(BET)  
 	T1=QTILD**AN
	T2=(TIME(2)-DTIME)**AM
	DECRA(1)=DTIME*A1*T1*T2
	write(*,*)DECRA(1),DTIME
      IF(LEXIMP.EQ.1) THEN
      T3=QTILD**(AN-1)
      T4=(TIME(2)-DTIME)**AM
      DECRA(5)=DTIME*A1*AN*T3*T4
	write(*,*)DECRA(5)
	END IF
C
      RETURN
      END
